Subject: Re: [PATCH v3 1/1] documentation: remove empty doc files

From: Emily Shaffer <[email-masked]>
Date: Thu, 24 Oct 2019 13:48:40 -0700

On Thu, Oct 24, 2019 at 11:29:11AM +0000, Heba Waly via GitGitGadget wrote:
> From: Heba Waly <[email-masked]>
> 
> Remove empty and redundant documentation files from the
> Documentation/technical/ directory.
> 
> The empty doc files included only TODO messages with no documentation for
> years. Instead an approach is being taken to keep all doc beside the code
> in the relevant header files.
> Having empty doc files is confusing and disappointing to anybody looking
> for information, besides having the documentation in header files makes it
> easier for developers to find the information they are looking for.
> 
> Some of the content which could have gone here already exists elsewhere:
> - api-object-access.txt -> sha1-file.c and object.h have some details.
> - api-quote.txt -> quote.h has some details.
> - api-xdiff-interface.txt -> xdiff-interface.h has some details.
> - api-grep.txt -> grep.h does not have enough documentation at the moment.
> 
> Signed-off-by: Heba Waly <[email-masked]>

Reviewed-by: Emily Shaffer <[email-masked]>

Thanks, Heba.
 - Emily